# ==================== GUI CONTENT ====================
# You can freely edit items in this section as you wish (add, remove, modify items).
# Get some tips in documentation: https://github.com/nulli0n/NexEngine-spigot/wiki/Menu-Config
# The following values are available for button types:
# ==================================================
Content:
  button:
    Slots: 26,18
    Start_Reward: r1,r2,r3
    Start_Animation: light_black,light_red
    Item:
      Material: STONE_BUTTON
      Name: '&b&lSpin!'
  
  blackpane:
    Slots: 0,1,3,5,7,8,9,10,12,14,16,17,19,21,23,25,27,28,30,32,34,35,36,37,39,41,43,44
    Item:
      Material: BLACK_STAINED_GLASS_PANE
  
  win_right:
    Slots: 19
    Item:
      Material: PLAYER_HEAD
      Head_Texture: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTZhZjIxN2FlZGRmMGY0MDA2NDk2OWViYjIwNDJmN2FlYWZiYzdkMGYxNzVhMjc2MjQxMzNhM2JlZmQxMDI4MSJ9fX0=
      Name: '&x&E&7&2&E&1&B&lYOUR PRIZE →'
  
  win_left:
    Slots: 25
    Item:
      Material: PLAYER_HEAD
      Head_Texture: eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMWM1YThhYThhNGMwMzYwMGEyYjVhNGViNmJlYjUxZDU5MDI2MGIwOTVlZTFjZGFhOTc2YjA5YmRmZTU2NjFjNiJ9fX0=
      Name: '&x&E&7&2&E&1&B&l← YOUR PRIZE'

Rewards:
  r1:
    Start_Action: CLICK
    Start_Chance: 100.0
    Start_Delay: 1
    Roll_Times: 75
    Roll_Tick_Interval: 1
    Roll_Slowdown_Every: 10
    Roll_Slowdown_Ticks: 1
    Tick_Sound: BLOCK_NOTE_BLOCK_BELL
    Slots: 4,13,22,31,40
    Slots_Mode: INHERITANCE
    Win_Slots: '22'
  
  r2:
    Start_Action: CLICK
    Start_Chance: 100.0
    Start_Delay: 41
    Roll_Times: 75
    Roll_Tick_Interval: 1
    Roll_Slowdown_Every: 10
    Roll_Slowdown_Ticks: 1
    Tick_Sound: BLOCK_NOTE_BLOCK_BELL
    Slots: 2,11,20,29,38
    Slots_Mode: INHERITANCE
    Win_Slots: '20'
  
  r3:
    Start_Action: CLICK
    Start_Chance: 100.0
    Start_Delay: 61
    Roll_Times: 75
    Roll_Tick_Interval: 1
    Roll_Slowdown_Every: 10
    Roll_Slowdown_Ticks: 1
    Tick_Sound: BLOCK_NOTE_BLOCK_BELL
    Slots: 6,15,24,33,42
    Slots_Mode: INHERITANCE
    Win_Slots: '24'

Animations:
  light_black:
    Start_Action: CLICK
    Start_Delay: 0
    Slots: 3,12,30,39,5,14,32,41,0,1,7,8,36,37,43,44
    Mode: TOGETHER
    Tick_Interval: 10
    Items:
      lime:
        Material: BLACK_STAINED_GLASS_PANE
  
  light_red:
    Start_Action: CLICK
    Start_Delay: 5
    Slots: 3,12,30,39,5,14,32,41,0,1,7,8,36,37,43,44
    Mode: TOGETHER
    Tick_Interval: 10
    Items:
      lime:
        Material: RED_STAINED_GLASS_PANE
# Sets whether to use Paper's MiniMessage API for the GUI Title.
Use_Mini_Message: false
Settings:
  # Sets the GUI title.
  Title: Opening Crate
  # Sets the GUI size. Must be multiply of 9.
  # Useful for 'CHEST' Inventory Type only.
  Size: 45
  # Sets the GUI type.
  # https://hub.spigotmc.org/javadocs/bukkit/org/bukkit/event/inventory/InventoryType.html
  Inventory_Type: CHEST
  # Sets the GUI auto-refresh interval (in seconds). Set this to 0 to disable.
  Auto_Refresh: 0
